namespace Syntriax.Engine.Network.Abstract;

public interface INetworkServer : INetworkCommunicator
{
    string Password { get; }
    int MaxConnectionCount { get; }
    int Port { get; }

    void Start(int port, int maxConnectionCount, string? password = null);
}
